Subject: Re: Of HTTP/1.1 persistent connections and TCP Keepalive timer

From: Hyoung-Kee Choi <[email-masked]>
Date: Thu, 02 Nov 2000 13:38:47 -0500

"Fielding, Roy" wrote:
> 
> The decision on when to close is left to either side.  A server will
> close the connection based on its resource-consumption requirements
> which may vary substantially based on the type of server and the
> number of clients it is intended to serve.  A client will close the
> connection if it is connection-limited and needs to open many other
> connections, or if it just believes in being network friendly.
> 
> Unfortunately, none of the major browsers are network friendly,
> so they typically ignore the connection (not even recognizing FIN
> as an event) until they later attempt to use it again.  Most
> general-purpose servers have a short activity time-out on
> connections and will close the connection after that time-out
> (typically under 10 seconds, though a high-activity server will
> set this to one second or turn off persistent connections altogether).
> 

Apache server uses 15 seconds as a default timeout and 100 connections
as the number of idle persistent connections. Over 60 percent of Web
servers use Apache.

---

From: "Carl Kugler/Boulder/IBM" <[email-masked]>
Date: Thu, 2 Nov 2000 12:11:18 -0700

>Sent by: [email-masked]
>
>"Fielding, Roy" wrote:
>>
Ideally, you'd want the client to close the connection.  If the server
closes it, it has to keep the connection around in TIME_WAIT state for four
minutes, right?  So a server that agressively closes idle connections might
make matters worse for itself if the client makes requests more often than
once every 4 minutes (for example, the Windows 2000 IPP client polling
job-status evey minute or so).

     -Carl